package com.sunxung.factoring.entity.acceptance;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * --验收单签署确认合同信息表
 * </p>
 *
 * @author liutao
 * @since 2023-06-07
 */
@TableName("c_acceptance_sign_confirmation_electronic_info")
public class AcceptanceSignConfirmationElectronicInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 验收单签署确认表Id
     */
    @TableField("c_acceptance_sign_confirmation_id")
    private Long acceptanceSignConfirmationId;

    /**
     * 合同名称
     */
    @TableField("contract_name")
    private String contractName;

    /**
     * 合同id
     */
    @TableField("contract_id")
    private String contractId;

    /**
     * 电子签文件
     */
    @TableField("file_id")
    private Long fileId;

    /**
     * 电子签个人信息表Id
     */
    @TableField("electronic_signature_personal_id")
    private Long electronicSignaturePersonalId;

    /**
     * 客户合同交易id
     */
    @TableField("transaction_id")
    private String transactionId;

    /**
     * 客户签署状态 0 未签署 1 已签署
     */
    @TableField("sign_status")
    private Integer signStatus;

    /**
     * 电子签回调文件
     */
    @TableField("back_file_id")
    private Long backFileId;

    /**
     * 出证电子签文件
     */
    @TableField("report_file_id")
    private Long reportFileId;


    @TableField("call_back")
    private Integer callBack;

    public Long getAcceptanceSignConfirmationId() {
        return acceptanceSignConfirmationId;
    }

    public void setAcceptanceSignConfirmationId(Long acceptanceSignConfirmationId) {
        this.acceptanceSignConfirmationId = acceptanceSignConfirmationId;
    }
    public String getContractName() {
        return contractName;
    }

    public void setContractName(String contractName) {
        this.contractName = contractName;
    }
    public String getContractId() {
        return contractId;
    }

    public void setContractId(String contractId) {
        this.contractId = contractId;
    }
    public Long getFileId() {
        return fileId;
    }

    public void setFileId(Long fileId) {
        this.fileId = fileId;
    }
    public Long getElectronicSignaturePersonalId() {
        return electronicSignaturePersonalId;
    }

    public void setElectronicSignaturePersonalId(Long electronicSignaturePersonalId) {
        this.electronicSignaturePersonalId = electronicSignaturePersonalId;
    }
    public String getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

    public Integer getSignStatus() {
        return signStatus;
    }

    public void setSignStatus(Integer signStatus) {
        this.signStatus = signStatus;
    }

    public Long getBackFileId() {
        return backFileId;
    }

    public void setBackFileId(Long backFileId) {
        this.backFileId = backFileId;
    }
    public Long getReportFileId() {
        return reportFileId;
    }

    public void setReportFileId(Long reportFileId) {
        this.reportFileId = reportFileId;
    }

    public Integer getCallBack() {
        return callBack;
    }

    public void setCallBack(Integer callBack) {
        this.callBack = callBack;
    }

    @Override
    public String toString() {
        return "AcceptanceSignConfirmationElectronicInfo{" +
            "acceptanceSignConfirmationId=" + acceptanceSignConfirmationId +
            ", contractName=" + contractName +
            ", contractId=" + contractId +
            ", fileId=" + fileId +
            ", electronicSignaturePersonalId=" + electronicSignaturePersonalId +
            ", transactionId=" + transactionId +
            ", signStatus=" + signStatus +
            ", backFileId=" + backFileId +
            ", reportFileId=" + reportFileId +
        "}";
    }
}
